---

- name: "Create realm for <{{ inventory_hostname }}> if necessary"
  include_role:
    name: harbor_realm
  vars:
    current_realm_name: "harbor"
    current_realm_display_name: "harbor"
  tags:
    - always

- name: "Install harbor"
  include_tasks: install.yml

- name: "Configure harbor"
  include_tasks: configure.yml
  tags:
    - harbor-configure-base
    - harbor-configure-robots
